%define major   0
%define libname %mklibname liftoff %{major}
%define devname %mklibname liftoff -d

Name:           libliftoff
Version:        0.5.0
Release:        %mkrel 3
Summary:        Lightweight KMS plane library
Group:          System/Libraries

License:        MIT
URL:            https://gitlab.freedesktop.org/emersion/libliftoff
Source0:        %{url}/-/archive/v%{version}/%{name}-v%{version}.tar.gz

BuildRequires:  meson
BuildRequires:  ninja-build
BuildRequires:  gcc
BuildRequires:  pkgconfig(libdrm) >= 2.4.108

%description
libliftoff eases the use of KMS planes from userspace without
standing in your way. Users create "virtual planes" called
layers, set KMS properties on them, and libliftoff will
allocate planes for these layers if possible.


%package -n %{libname}
Summary:        Lightweight KMS plane library
Group:          System/Libraries
Provides:       %{name} = %{version}-%{release}
Obsoletes:      libliftoff < 0.5.0-2

%description -n %{libname}
libliftoff eases the use of KMS planes from userspace without
standing in your way. Users create "virtual planes" called
layers, set KMS properties on them, and libliftoff will
allocate planes for these layers if possible.


%package -n %{devname}
Summary:        Development files for %{name}
Group:          Development/C++
Requires:       %{libname}%{?_isa} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Obsoletes:      libliftoff-devel < 0.5.0-2

%description -n %{devname}
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%autosetup -p1 -n %{name}-v%{version}


%build
%meson
%meson_build


%install
%meson_install


%files -n %{libname}
%license LICENSE
%doc README.md
%{_libdir}/libliftoff.so.%{major}{,.*}

%files -n %{devname}
%{_includedir}/*
%{_libdir}/libliftoff.so
%{_libdir}/pkgconfig/*.pc


%changelog
* Sun Jun 29 2025 umeabot <umeabot> 0.5.0-3.mga10
+ Revision: 2228893
- Mageia 10 Mass Rebuild

* Mon Oct 14 2024 daviddavid <daviddavid> 0.5.0-2.mga10
+ Revision: 2106786
- libify pkgs

* Mon Oct 14 2024 papoteur <papoteur> 0.5.0-1.mga10
+ Revision: 2106758
- import for wlroots >0.18 requirements

